// ============================================================================
// filesBDCFF.h
// ----------------------------------------------------------------------------
// (c) 2006-2023 by HerzAusGold
//               Hubert Haberkorn
//               herz-aus-gold-42@gmx.de
//               http://www.arthurdent.de/
// ----------------------------------------------------------------------------
// The above copyright notice and this permission notice 
// shall be included in all copies or substantial portions 
// of the Software.
// ----------------------------------------------------------------------------
// loader for BDCFF game files
// ----------------------------------------------------------------------------
// as defined at http://www.emeraldmines.net/
// discused here https://www.artsoft.org/forum/viewtopic.php?t=1547
// ============================================================================

#ifndef FILESBDCFF_H
#define FILESBDCFF_H

#include "main.h"


/*-----------------------------------------------------------------*/
void BDCFF_init(void);

int BDCFF_itemFromName(char *str, int eledefault);

boolean Load_BDCFFlevel(struct LevelInfo *level,
                        struct LevelFileInfo *level_file_info);


#endif
